# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .sku_name_py3 import SkuName
    from .sku_property_py3 import SkuProperty
    from .sku_restriction_py3 import SkuRestriction
    from .catalog_py3 import Catalog
    from .extended_status_info_py3 import ExtendedStatusInfo
    from .reservation_split_properties_py3 import ReservationSplitProperties
    from .reservation_merge_properties_py3 import ReservationMergeProperties
    from .reservation_properties_py3 import ReservationProperties
    from .reservation_response_py3 import ReservationResponse
    from .reservation_order_response_py3 import ReservationOrderResponse
    from .merge_request_py3 import MergeRequest
    from .patch_py3 import Patch
    from .split_request_py3 import SplitRequest
    from .extended_error_info_py3 import ExtendedErrorInfo
    from .error_py3 import Error, ErrorException
    from .applied_reservation_list_py3 import AppliedReservationList
    from .applied_reservations_py3 import AppliedReservations
    from .operation_display_py3 import OperationDisplay
    from .operation_response_py3 import OperationResponse
except (SyntaxError, ImportError):
    from .sku_name import SkuName
    from .sku_property import SkuProperty
    from .sku_restriction import SkuRestriction
    from .catalog import Catalog
    from .extended_status_info import ExtendedStatusInfo
    from .reservation_split_properties import ReservationSplitProperties
    from .reservation_merge_properties import ReservationMergeProperties
    from .reservation_properties import ReservationProperties
    from .reservation_response import ReservationResponse
    from .reservation_order_response import ReservationOrderResponse
    from .merge_request import MergeRequest
    from .patch import Patch
    from .split_request import SplitRequest
    from .extended_error_info import ExtendedErrorInfo
    from .error import Error, ErrorException
    from .applied_reservation_list import AppliedReservationList
    from .applied_reservations import AppliedReservations
    from .operation_display import OperationDisplay
    from .operation_response import OperationResponse
from .reservation_order_response_paged import ReservationOrderResponsePaged
from .reservation_response_paged import ReservationResponsePaged
from .operation_response_paged import OperationResponsePaged
from .azure_reservation_api_enums import (
    ReservationStatusCode,
    ErrorResponseCode,
    ReservationTerm,
    ReservedResourceType,
    InstanceFlexibility,
    AppliedScopeType,
)

__all__ = [
    'SkuName',
    'SkuProperty',
    'SkuRestriction',
    'Catalog',
    'ExtendedStatusInfo',
    'ReservationSplitProperties',
    'ReservationMergeProperties',
    'ReservationProperties',
    'ReservationResponse',
    'ReservationOrderResponse',
    'MergeRequest',
    'Patch',
    'SplitRequest',
    'ExtendedErrorInfo',
    'Error', 'ErrorException',
    'AppliedReservationList',
    'AppliedReservations',
    'OperationDisplay',
    'OperationResponse',
    'ReservationOrderResponsePaged',
    'ReservationResponsePaged',
    'OperationResponsePaged',
    'ReservationStatusCode',
    'ErrorResponseCode',
    'ReservationTerm',
    'ReservedResourceType',
    'InstanceFlexibility',
    'AppliedScopeType',
]
